package dev.fitko.fitconnect.api.domain.sender.steps.unencrypted;

import java.util.UUID;

public interface DestinationStep {

    /**
     * Configures the client for the given destination and loads the public key
     *
     * @param destinationId unique identifier of the clients destination
     * @return the upload step for attachments
     */
    ServiceTypeStep setDestination(UUID destinationId);
}
